/* SETUP -------------------------------*/

body {
    font-size: 16px;
    font-family: 'Lato', sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    background-color: #333333;
}

ul,
ol {
    margin: 0;
    padding: 0;
}

li {
    list-style: none;
}

img {
    margin: 0;
    padding: 0;
    border: none;
}

input {
    margin: 0;
    padding: 0;
}

a:link,
a:visited,
a:active {
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

form {
    margin: 0;
    padding: 0
}


/* PLACE HOLDER -------------------------------*/

:-ms-input-placeholder,
::-ms-input-placeholder {
    font-family: 'Lato', sans-serif;
    color: #4D4D4D;
}

::placeholder {
    font-family: 'Lato', sans-serif;
    color: #4D4D4D;
    opacity: 1;
}


/* AUTO COMPLETE -------------------------------*/

input:-webkit-autofill {
    /* background-color: #999999; */
    -webkit-box-shadow: 0 0 0 30px #999999 inset;
    box-shadow: 0 0 0 30px #999999 inset;
    font-family: 'Lato', sans-serif;
}


/* 
input:-webkit-autofill {
    -webkit-text-fill-color: blue !important;
}
*/


/* FEEDBACK -------------------------------*/

.feedback-desligado,
.feedback-positivo,
.feedback-negativo,
.feedback-neutro,
.feedback-atencao {
    margin: 8px 0 0 0;
    font-family: 'Lato', sans-serif;
    font-weight: 900;
    font-size: 14px
}

.feedback-desligado {
    display: none;
}

.feedback-positivo {
    color: #A0E000;
}

.feedback-negativo {
    color: #FF4000;
}

.feedback-neutro {
    color: #00C8E0;
}

.feedback-atencao {
    color: #FFA700;
}


/* LABEL e INFO -------------------------------*/

.label,
.info {
    font-family: 'Lato', sans-serif;
    font-weight: 400;
    text-transform: lowercase;
    padding: 0 0 0 12px;
}

.label {
    font-size: 20px;
    color: #ffffff;
    margin: 0 0 4px 0;
    background: url("imagens/marcador-cinza-claro.png") no-repeat;
    background-position: left 12px;
}

.info {
    font-size: 14px;
    color: #777777;
    margin: 0 0 16px 0;
}


/* TODOS OS CAMPOS -------------------------------*/

.select,
.input-texto,
.input-email,
.input-numerico,
.input-busca,
.input-senha,
.input-numerico-select,
.campo-percentual,
.area-de-texto,
.select-encadeado,
.gerador-de-senha,
.input-numerico-de-moeda,
.conjunto-de-campos,
.conjunto-select-com-moeda,
.conjunto-select-com-percentual,
.conjuto-triplo-select,
.conjunto-texto-select,
.conjunto-texto,
.conjunto-input-texto-duplo-select,
.conjunto-input-texto-duplo-select-encadeado,
.lista-de-checkbox,
.lista-de-radiobutton,
.conjunto-convite,
.datagrid,
.input-envio,
.troca-elemento,
.troca-senha,
.validacao {
    /* width: 640px; */
    width: 100%;
    margin: 0 0 32px 0;
}


/* SELECT -------------------------------*/

.select div select {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    background: url("imagens/bt-acionador-select.png") no-repeat #999999;
    background-position: 98% 47%;
    border: 1px solid #999999;
    width: 96%;
    padding: 12px 2%;
    font-size: 16px;
    box-sizing: content-box;
    font-family: 'Lato', sans-serif;
}

.select div select:invalid {
    color: #4D4D4D;
}


/* VALIDACAO -------------------------------*/

.validacao div input {
    /* width: 96%; */
    /* padding: 12px 2%; */
    box-sizing: content-box;
}


/* INPUT TEXTO -------------------------------*/

.input-texto div input {
    border: 1px solid #999999;
    background-color: #999999;
    width: 96%;
    padding: 12px 2%;
    font-size: 16px;
    box-sizing: content-box;
    font-family: 'Lato', sans-serif;
}


/* INPUT EMAIL -------------------------------*/

.input-email div input {
    border: 1px solid #999999;
    background-color: #999999;
    width: 96%;
    padding: 12px 2%;
    font-size: 16px;
    box-sizing: content-box;
    font-family: 'Lato', sans-serif;
}


/* INPUT NUMERICO -------------------------------*/

.input-numerico div input {
    border: 1px solid #999999;
    background-color: #999999;
    width: 96%;
    padding: 12px 2%;
    font-size: 16px;
    box-sizing: content-box;
    font-family: 'Lato', sans-serif;
}


/* INPUT BUSCA -------------------------------*/

.input-busca div input {
    border: 1px solid #4D4D4D;
    background: #4D4D4D url("imagens/ic-lupa.png") no-repeat right;
    width: 96%;
    padding: 12px 2%;
    font-size: 16px;
    box-sizing: content-box;
    font-family: 'Lato', sans-serif;
}


/* INPUT SENHA -------------------------------*/

.bloco-input-senha {
    display: flex;
    align-items: stretch;
    flex-direction: row;
    flex-wrap: wrap;
    margin: 0;
}

.campo-do-input-senha {
    border: 1px solid #999999;
    background-color: #999999;
    padding: 12px 2%;
    font-size: 16px;
    flex-grow: 2;
    flex-shrink: 0;
    box-sizing: content-box;
    margin: 0 16px 0 0;
    font-family: 'Lato', sans-serif;
}

.botao-preview-senha-desligado,
.botao-preview-senha-ligado {
    border: 1px solid #94C93D;
    padding: 8px 20px;
    margin: 0;
    cursor: pointer;
}

.botao-preview-senha-desligado {
    background: #94C93D url("imagens/bt-olho-desligado.png") center no-repeat;
}

.botao-preview-senha-ligado {
    background: #94C93D url("imagens/bt-olho-ligado.png") center no-repeat;
}


/* AREA DE TEXTO -------------------------------*/

.area-de-texto div textarea {
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    border: 1px solid #999999;
    background-color: #999999;
    width: 96%;
    padding: 12px 2%;
    font-size: 16px;
    box-sizing: content-box;
    font-family: 'Lato', sans-serif;
}


/* CAMPO PERCENTUAL ------------------------------*/

.bloco-campo-percentual {
    display: flex;
    align-items: stretch;
    flex-direction: row;
    flex-wrap: wrap;
    margin: 0;
}

.campo-do-campo-percentual {
    border: 1px solid #999999;
    background-color: #999999;
    padding: 12px 2%;
    font-size: 16px;
    flex-grow: 2;
    flex-shrink: 0;
    box-sizing: content-box;
    margin: 0 16px 0 0;
    font-family: 'Lato', sans-serif;
}

.botao-mais-do-campo-percentual,
.botao-menos-do-campo-percentual {
    padding: 8px 20px;
    margin: 0;
    cursor: pointer;
}

.botao-mais-do-campo-percentual {
    background: #628528 url("imagens/bt-mais.png") center no-repeat;
    border: 1px solid #628528;
}

.botao-menos-do-campo-percentual {
    background: #94C93D url("imagens/bt-menos.png") center no-repeat;
    border: 1px solid #94C93D;
}


/* SELECT ENCADEADO -------------------------------*/

.bloco-select-encadeado {
    display: flex;
    align-items: stretch;
    flex-direction: row;
    flex-wrap: wrap;
    margin: 0;
}

.bloco-select-encadeado select:invalid {
    color: #4D4D4D;
}

.bloco-select-encadeado select:first-child {
    margin: 0 16px 0 0;
}

.primeiro-select-do-select-encadeado,
.segundo-select-do-select-encadeado {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    background: url("imagens/bt-acionador-select.png") no-repeat #999999;
    background-position: 98% 47%;
    border: 1px solid #999999;
    /* background-color: #4D4D4D; */
    padding: 12px 2%;
    font-size: 16px;
    flex-grow: 1;
    flex-shrink: 0;
    box-sizing: content-box;
    font-family: 'Lato', sans-serif;
}


/* GERADOR DE SENHA -------------------------------*/

.bloco-gerador-de-senha {
    display: flex;
    align-items: stretch;
    flex-direction: row;
    flex-wrap: wrap;
    margin: 0;
}

.campo-do-gerador-de-senha {
    border: 1px solid #999999;
    background-color: #999999;
    margin: 0 16px 0 0;
    padding: 12px 2%;
    font-size: 16px;
    flex-grow: 1;
    flex-shrink: 0;
    box-sizing: content-box;
    font-family: 'Lato', sans-serif;
}

.botao-do-gerador-de-senha-gerar,
.botao-do-gerador-de-senha-limpar {
    font-weight: 900;
    padding: 12px;
    font-size: 16px;
    flex-shrink: 0;
    flex-grow: 0;
    box-sizing: content-box;
    font-family: 'Lato', sans-serif;
    cursor: pointer;
}

.botao-do-gerador-de-senha-limpar {
    color: #FFFFFF;
    border: 1px solid #628528;
    background-color: #628528;
}

.botao-do-gerador-de-senha-gerar {
    color: #3B3B3B;
    border: 1px solid #94C93D;
    background-color: #94C93D;
    padding: 0 44px;
}


/* INPUT NUMERICO DE MOEDA -------------------------------*/

.input-numerico-de-moeda div input {
    border: 1px solid #999999;
    background-color: #999999;
    width: 96%;
    padding: 12px 2%;
    font-size: 16px;
    box-sizing: content-box;
    font-family: 'Lato', sans-serif;
}


/* CONJUNTO DE SELECT COM MOEDA -------------------------------*/

.bloco-inicial-conjunto-select-com-moeda,
.bloco-copia-conjunto-select-com-moeda {
    display: flex;
    align-items: stretch;
    flex-direction: row;
    flex-wrap: wrap;
    margin: 0 0 16px 0;
}

.campo-do-conjunto-select-com-moeda {
    border: 1px solid #999999;
    background-color: #999999;
    margin: 0 16px 0 0;
    padding: 12px 2%;
    font-size: 16px;
    flex-grow: 0;
    flex-shrink: 0;
    box-sizing: content-box;
    font-family: 'Lato', sans-serif;
}

.select-do-conjunto-select-com-moeda:invalid {
    color: #4D4D4D;
}

.select-do-conjunto-select-com-moeda {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    background: url("imagens/bt-acionador-select.png") no-repeat #999999;
    background-position: 98% 47%;
    border: 1px solid #999999;
    padding: 12px 2%;
    font-size: 16px;
    flex-grow: 2;
    flex-shrink: 0;
    margin: 0 16px 0 0;
    box-sizing: content-box;
    font-family: 'Lato', sans-serif;
}

.botao-mais-do-conjunto-select-com-moeda,
.botao-menos-do-conjunto-select-com-moeda {
    padding: 8px 20px;
    width: 0.4%;
    margin: 0;
    cursor: pointer;
}

.botao-mais-do-conjunto-select-com-moeda {
    background: #628528 url("imagens/bt-mais.png") center no-repeat;
    border: 1px solid #628528;
}

.botao-menos-do-conjunto-select-com-moeda {
    background: #94C93D url("imagens/bt-menos.png") center no-repeat;
    border: 1px solid #94C93D;
}


/* CONJUNTO DE SELECT COM PERCENTUAL -------------------------------*/

.bloco-inicial-conjunto-select-com-percentual,
.bloco-copia-conjunto-select-com-percentual {
    display: flex;
    align-items: stretch;
    flex-direction: row;
    flex-wrap: wrap;
    margin: 0 0 16px 0;
}

.campo-do-conjunto-select-com-percentual {
    border: 1px solid #999999;
    background-color: #999999;
    margin: 0 16px 0 0;
    padding: 12px 2%;
    font-size: 16px;
    flex-grow: 1;
    flex-shrink: 0;
    box-sizing: content-box;
    font-family: 'Lato', sans-serif;
}

.select-do-conjunto-select-com-percentual:invalid {
    color: #4D4D4D;
}

.select-do-conjunto-select-com-percentual {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    background: url("imagens/bt-acionador-select.png") no-repeat #999999;
    background-position: 98% 47%;
    border: 1px solid #999999;
    padding: 12px 2%;
    font-size: 16px;
    flex-grow: 1.5;
    flex-shrink: 0;
    margin: 0 16px 0 0;
    box-sizing: content-box;
    font-family: 'Lato', sans-serif;
}

.botao-mais-do-conjunto-select-com-percentual,
.botao-menos-do-conjunto-select-com-percentual {
    padding: 8px 20px;
    width: 0.4%;
    margin: 0;
    cursor: pointer;
}

.botao-mais-do-conjunto-select-com-percentual {
    background: #628528 url("imagens/bt-mais.png") center no-repeat;
    border: 1px solid #628528;
}

.botao-menos-do-conjunto-select-com-percentual {
    background: #94C93D url("imagens/bt-menos.png") center no-repeat;
    border: 1px solid #94C93D;
}


/* CONJUNTO DE TEXTO SELECT -------------------------------*/

.bloco-inicial-conjunto-texto-select,
.bloco-copia-conjunto-texto-select {
    display: flex;
    align-items: stretch;
    flex-direction: row;
    flex-wrap: wrap;
    margin: 0 0 16px 0;
}

.campo-do-conjunto-texto-select {
    border: 1px solid #999999;
    background-color: #999999;
    margin: 0 16px 0 0;
    padding: 12px 2%;
    font-size: 16px;
    flex-grow: 2;
    flex-shrink: 0;
    box-sizing: content-box;
    font-family: 'Lato', sans-serif;
}

.select-do-conjunto-texto-select:invalid {
    color: #4D4D4D;
}

.select-do-conjunto-texto-select {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    background: url("imagens/bt-acionador-select.png") no-repeat #999999;
    background-position: 98% 47%;
    border: 1px solid #999999;
    padding: 12px 2%;
    font-size: 16px;
    flex-grow: 0;
    flex-shrink: 0;
    margin: 0 16px 0 0;
    box-sizing: content-box;
    font-family: 'Lato', sans-serif;
}

.botao-mais-do-conjunto-texto-select,
.botao-menos-do-conjunto-texto-select {
    padding: 8px 20px;
    width: 0.4%;
    margin: 0;
    cursor: pointer;
}

.botao-mais-do-conjunto-texto-select {
    background: #628528 url("imagens/bt-mais.png") center no-repeat;
    border: 1px solid #628528;
}

.botao-menos-do-conjunto-texto-select {
    background: #94C93D url("imagens/bt-menos.png") center no-repeat;
    border: 1px solid #94C93D;
}


/* CONJUNTO DE TEXTO -------------------------------*/

.bloco-inicial-conjunto-texto,
.bloco-copia-conjunto-texto {
    display: flex;
    align-items: stretch;
    flex-direction: row;
    flex-wrap: wrap;
    margin: 0 0 16px 0;
}

.campo-do-conjunto-texto {
    border: 1px solid #999999;
    background-color: #999999;
    margin: 0 16px 0 0;
    padding: 12px 2%;
    font-size: 16px;
    flex-grow: 2;
    flex-shrink: 0;
    box-sizing: content-box;
    font-family: 'Lato', sans-serif;
}

.botao-mais-do-conjunto-texto,
.botao-menos-do-conjunto-texto {
    padding: 8px 20px;
    width: 0.4%;
    margin: 0;
    cursor: pointer;
}

.botao-mais-do-conjunto-texto {
    background: #628528 url("imagens/bt-mais.png") center no-repeat;
    border: 1px solid #628528;
}

.botao-menos-do-conjunto-texto {
    background: #94C93D url("imagens/bt-menos.png") center no-repeat;
    border: 1px solid #94C93D;
}


/* CHECKBOX -------------------------------*/

.bloco-lista-de-checkbox {
    display: flex;
    align-items: flex-start;
    flex-direction: column;
}

.linha-de-itens-de-checkbox {
    display: flex;
    align-items: flex-start;
    flex-direction: row;
    margin: 0 0 12px 0;
    background-color: #999999;
}

.linha-de-itens-de-checkbox:last-child {
    margin: 0;
}

.botao-checkbox-desligado {
    background: url("imagens/bt-check-medio-escuro.png") no-repeat;
    background-position: center;
    margin: 8px;
    height: 24px;
    width: 24px;
    border: 1px solid #5A5A5A;
    background-color: #5A5A5A;
    cursor: pointer;
}

.botao-checkbox-ligado {
    background: url("imagens/bt-check-claro.png") no-repeat;
    background-position: center;
    margin: 8px;
    height: 24px;
    width: 24px;
    border: 1px solid #5A5A5A;
    background-color: #5A5A5A;
    cursor: pointer;
}

.label-checkbox-checked,
.label-checkbox {
    font-size: 16px;
    display: inline-block;
    color: #000000;
    word-spacing: 3px;
    line-height: 20px;
    font-family: 'Lato', sans-serif;
    cursor: pointer;
    padding: 8px 8px 12px 4px;
}

.label-checkbox-checked {
    background-color: #CCCCCC;
}

.label-checkbox {
    background-color: #999999;
}

.label-checkbox-checked:hover,
.label-checkbox:hover {
    background-color: #94C93D;
    color: #000000;
    padding: 8px 8px 12px 4px;
}


/* RADIO -------------------------------*/

.bloco-lista-de-radiobutton {
    display: flex;
    align-items: flex-start;
    flex-direction: column;
}

.linha-de-itens-de-radiobutton {
    display: flex;
    align-items: flex-start;
    flex-direction: row;
    margin: 0 0 12px 0;
    background-color: #999999;
    /* border-radius: 20px 0 0 20px; */
}

.linha-de-itens-de-radiobutton:last-child {
    margin: 0;
}

.botao-radiobutton-desligado {
    background: url("imagens/bt-radio-medio-escuro.png") no-repeat;
    background-position: center;
    margin: 8px;
    height: 24px;
    width: 24px;
    border: 1px solid #5A5A5A;
    background-color: #5A5A5A;
    cursor: pointer;
    border-radius: 24px;
}

.botao-radiobutton-ligado {
    background: url("imagens/bt-radio-claro.png") no-repeat;
    background-position: center;
    margin: 8px;
    height: 24px;
    width: 24px;
    border: 1px solid #5A5A5A;
    background-color: #5A5A5A;
    cursor: pointer;
    border-radius: 24px;
}

.label-radiobutton {
    font-size: 16px;
    display: inline-block;
    background-color: #999999;
    color: #000000;
    word-spacing: 3px;
    line-height: 20px;
    font-family: 'Lato', sans-serif;
    cursor: pointer;
    padding: 8px 8px 12px 4px;
}

.label-radiobutton:hover {
    background-color: #94C93D;
    color: #000000;
    padding: 8px 8px 12px 4px;
}


/* CONJUNTO DE SELECT DUPLO -------------------------------*/

.bloco-inicial-conjunto-select-duplo,
.bloco-copia-conjunto-select-duplo {
    display: flex;
    align-items: stretch;
    flex-direction: row;
    flex-wrap: wrap;
    margin: 0 0 16px 0;
}

.campo-do-conjunto-select-duplo {
    border: 1px solid #999999;
    background-color: #999999;
    margin: 0 16px 0 0;
    padding: 12px 2%;
    font-size: 16px;
    flex-grow: 1;
    flex-shrink: 0;
    box-sizing: content-box;
    font-family: 'Lato', sans-serif;
}

.select-do-conjunto-select-duplo:invalid {
    color: #4D4D4D;
}

.select-do-conjunto-select-duplo {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    background: url("imagens/bt-acionador-select.png") no-repeat #999999;
    background-position: 98% 47%;
    border: 1px solid #999999;
    padding: 12px 2%;
    font-size: 16px;
    flex-grow: 1.5;
    flex-shrink: 0;
    margin: 0 16px 0 0;
    box-sizing: content-box;
    font-family: 'Lato', sans-serif;
}

.botao-mais-do-conjunto-select-duplo,
.botao-menos-do-conjunto-select-duplo {
    padding: 8px 20px;
    width: 0.4%;
    margin: 0;
    cursor: pointer;
}

.botao-mais-do-conjunto-select-duplo {
    background: #628528 url("imagens/bt-mais.png") center no-repeat;
    border: 1px solid #628528;
}

.botao-menos-do-conjunto-select-duplo {
    background: #94C93D url("imagens/bt-menos.png") center no-repeat;
    border: 1px solid #94C93D;
}


/* CONJUNTO DE TRIPLO SELECT -------------------------------*/

.bloco-inicial-conjunto-triplo-select,
.bloco-copia-conjunto-triplo-select {
    display: flex;
    align-items: stretch;
    flex-direction: row;
    flex-wrap: wrap;
    margin: 0 0 16px 0;
}

.campo-do-conjunto-triplo-select {
    border: 1px solid #999999;
    background-color: #999999;
    margin: 0 16px 0 0;
    padding: 12px 2%;
    font-size: 16px;
    flex-grow: 1;
    flex-shrink: 0;
    box-sizing: content-box;
    font-family: 'Lato', sans-serif;
}

.select-do-conjunto-triplo-select:invalid {
    color: #4D4D4D;
}

.select-do-conjunto-triplo-select {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    background: url("imagens/bt-acionador-select.png") no-repeat #999999;
    background-position: 98% 47%;
    border: 1px solid #999999;
    padding: 12px 2%;
    font-size: 16px;
    flex-grow: 1.5;
    flex-shrink: 0;
    margin: 0 16px 0 0;
    box-sizing: content-box;
    font-family: 'Lato', sans-serif;
}

.botao-mais-do-conjunto-triplo-select,
.botao-menos-do-conjunto-triplo-select {
    padding: 8px 20px;
    width: 0.4%;
    margin: 0;
    cursor: pointer;
}

.botao-mais-do-conjunto-triplo-select {
    background: #628528 url("imagens/bt-mais.png") center no-repeat;
    border: 1px solid #628528;
}

.botao-menos-do-conjunto-triplo-select {
    background: #94C93D url("imagens/bt-menos.png") center no-repeat;
    border: 1px solid #94C93D;
}


/* CONJUNTO DE INPUT TEXTO DUPLO SELECT -------------------------------*/

.bloco-inicial-conjunto-input-texto-duplo-select,
.bloco-copia-conjunto-input-texto-duplo-select {
    display: flex;
    align-items: stretch;
    flex-direction: row;
    flex-wrap: wrap;
    margin: 0 0 16px 0;
}

.campo-do-conjunto-conjunto-input-texto-duplo-select {
    border: 1px solid #999999;
    background-color: #999999;
    margin: 0 16px 0 0;
    padding: 12px 2%;
    font-size: 16px;
    flex-grow: 1;
    flex-shrink: 0;
    box-sizing: content-box;
    font-family: 'Lato', sans-serif;
}

.select-do-conjunto-input-texto-duplo-select:invalid {
    color: #4D4D4D;
}

.select-do-conjunto-input-texto-duplo-select {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    background: url("imagens/bt-acionador-select.png") no-repeat #999999;
    background-position: 98% 47%;
    border: 1px solid #999999;
    padding: 12px 2%;
    font-size: 16px;
    flex-grow: 1.5;
    flex-shrink: 0;
    margin: 0 16px 0 0;
    box-sizing: content-box;
    font-family: 'Lato', sans-serif;
}

.input-text-do-conjunto-input-texto-duplo-select {
    border: 1px solid #999999;
    background-color: #999999;
    margin: 0 16px 0 0;
    padding: 12px 2%;
    font-size: 16px;
    flex-grow: 2;
    flex-shrink: 0;
    box-sizing: content-box;
    font-family: 'Lato', sans-serif;
}

.botao-mais-do-conjunto-input-texto-duplo-select,
.botao-menos-do-conjunto-input-texto-duplo-select {
    padding: 8px 20px;
    width: 0.4%;
    margin: 0;
    cursor: pointer;
}

.botao-mais-do-conjunto-input-texto-duplo-select {
    background: #628528 url("imagens/bt-mais.png") center no-repeat;
    border: 1px solid #628528;
}

.botao-menos-do-conjunto-input-texto-duplo-select {
    background: #94C93D url("imagens/bt-menos.png") center no-repeat;
    border: 1px solid #94C93D;
}


/* CONJUNTO DE INPUT TEXTO DUPLO SELECT ENCADEADO -------------------------------*/

.bloco-inicial-conjunto-input-texto-duplo-select-encadeado {
    margin: 0 0 28px 0;
}

.bloco-inicial-conjunto-input-texto-duplo-select-encadeado div:last-child,
.bloco-copia-conjunto-input-texto-duplo-select-encadeado div:last-child {
    padding: 0 42px 0 0;
}

.bloco-inicial-conjunto-input-texto-duplo-select-encadeado div:first-child,
.bloco-copia-conjunto-input-texto-duplo-select-encadeado div:first-child,
.bloco-inicial-conjunto-input-texto-duplo-select-encadeado div:last-child,
.bloco-copia-conjunto-input-texto-duplo-select-encadeado div:last-child {
    margin: 0 0 16px 0;
}

.bloco-inicial-conjunto-input-texto-duplo-select-encadeado div:first-child,
.bloco-copia-conjunto-input-texto-duplo-select-encadeado div:first-child,
.bloco-inicial-conjunto-input-texto-duplo-select-encadeado div:last-child,
.bloco-copia-conjunto-input-texto-duplo-select-encadeado div:last-child {
    display: flex;
    align-items: stretch;
    flex-direction: row;
    flex-wrap: wrap;
}

.campo-do-conjunto-conjunto-input-texto-duplo-select-encadeado {
    border: 1px solid #999999;
    background-color: #999999;
    margin: 0 16px 0 0;
    padding: 12px 2%;
    font-size: 16px;
    flex-grow: 1;
    flex-shrink: 0;
    box-sizing: content-box;
    font-family: 'Lato', sans-serif;
}

.select-do-conjunto-input-texto-duplo-select-encadeado:invalid {
    color: #4D4D4D;
}

.select-do-conjunto-input-texto-duplo-select-encadeado {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    background: url("imagens/bt-acionador-select.png") no-repeat #999999;
    background-position: 98% 47%;
    border: 1px solid #999999;
    padding: 12px 2%;
    font-size: 16px;
    flex-grow: 1;
    flex-shrink: 0;
    margin: 0 16px 0 0;
    box-sizing: content-box;
    font-family: 'Lato', sans-serif;
}

.input-text-do-conjunto-input-texto-duplo-select-encadeado {
    border: 1px solid #999999;
    background-color: #999999;
    margin: 0 16px 0 0;
    padding: 12px 2%;
    font-size: 16px;
    flex-grow: 2;
    flex-shrink: 0;
    box-sizing: content-box;
    font-family: 'Lato', sans-serif;
}

.botao-mais-do-conjunto-input-texto-duplo-select-encadeado,
.botao-menos-do-conjunto-input-texto-duplo-select-encadeado {
    padding: 8px 20px;
    width: 0.4%;
    margin: 0;
    cursor: pointer;
}

.botao-mais-do-conjunto-input-texto-duplo-select-encadeado {
    background: #628528 url("imagens/bt-mais.png") center no-repeat;
    border: 1px solid #628528;
}

.botao-menos-do-conjunto-input-texto-duplo-select-encadeado {
    background: #94C93D url("imagens/bt-menos.png") center no-repeat;
    border: 1px solid #94C93D;
}


/* CONJUNTO CONVITE -------------------------------*/

.bloco-inicial-conjunto-convite,
.bloco-copia-conjunto-convite {
    display: flex;
    align-items: stretch;
    flex-direction: row;
    flex-wrap: wrap;
    margin: 0 0 16px 0;
}

.campo-do-conjunto-convite {
    border: 1px solid #999999;
    background-color: #999999;
    margin: 0 16px 0 0;
    padding: 12px 2%;
    font-size: 16px;
    flex-grow: 1;
    flex-shrink: 0;
    box-sizing: content-box;
    font-family: 'Lato', sans-serif;
}

.botao-mais-do-conjunto-convite,
.botao-menos-do-conjunto-convite {
    padding: 8px 20px;
    width: 0.4%;
    margin: 0;
    cursor: pointer;
}

.botao-mais-do-conjunto-convite {
    background: #628528 url("imagens/bt-mais.png") center no-repeat;
    border: 1px solid #628528;
}

.botao-menos-do-conjunto-convite {
    background: #94C93D url("imagens/bt-menos.png") center no-repeat;
    border: 1px solid #94C93D;
}


/* TROCA ELEMENTO -------------------------------*/

.bloco-troca-elemento {
    display: flex;
    align-items: center;
    flex-direction: row;
    width: 100%;
    margin: 0;
}

.seletor-troca-elemento,
.alvo-troca-elemento {
    height: 160px;
    overflow-y: scroll;
    flex-grow: 1;
    background-color: #999999;
    padding: 0;
    -webkit-user-select: none;
    -moz-user-select: -moz-none;
    -ms-user-select: none;
    user-select: none;
}

.item-troca-elemento-com-selecao,
.item-troca-elemento-sem-selecao,
.placeholder-troca-elemento {
    padding: 8px 0 8px 8px;
    margin: 0 0 1px 0;
    font-family: 'Lato', sans-serif;
}

.item-troca-elemento-sem-selecao {
    cursor: pointer;
}

.item-troca-elemento-sem-selecao:hover {
    background-color: #cccccc;
}

.item-troca-elemento-com-selecao {
    background-color: #5A5A5A;
    cursor: pointer;
}

.placeholder-troca-elemento {
    color: #4D4D4D;
    cursor: default;
}

.conjunto-de-botoes-do-troca-elemento {
    display: flex;
    align-items: center;
    flex-direction: column;
    margin: 0 16px;
}

.botao-incluir-do-troca-elemento,
.botao-remover-do-troca-elemento {
    /* height: 32px;
    width: 32px; */
    /* width: 0.4%; */
    padding: 16px 24px;
    margin: 0;
    cursor: pointer;
}

.botao-incluir-do-troca-elemento {
    background: #628528 url("imagens/bt-incluir.png") center no-repeat;
    border: 1px solid #628528;
    margin: 0 0 16px 0;
}

.botao-remover-do-troca-elemento {
    background: #94C93D url("imagens/bt-remover.png") center no-repeat;
    border: 1px solid #94C93D;
}


/* TROCA SENHA -------------------------------*/

.bloco-troca-senha {
    display: flex;
    align-items: stretch;
    flex-direction: row;
    flex-wrap: wrap;
    margin: 0;
}

.campo-original-do-troca-senha,
.campo-nova-do-troca-senha {
    border: 1px solid #999999;
    background-color: #999999;
    padding: 12px 2%;
    font-size: 16px;
    flex-grow: 2;
    flex-shrink: 0;
    box-sizing: content-box;
    margin: 0 16px 0 0;
    font-family: 'Lato', sans-serif;
}

.botao-preview-senha-desligado,
.botao-preview-senha-ligado {
    border: 1px solid #94C93D;
    padding: 8px 20px;
    margin: 0;
    cursor: pointer;
}

.botao-preview-senha-desligado {
    background: #94C93D url("imagens/bt-olho-desligado.png") center no-repeat;
}

.botao-preview-senha-ligado {
    background: #94C93D url("imagens/bt-olho-ligado.png") center no-repeat;
}


/* INPUT NUMERICO SELECT -------------------------------*/

.bloco-input-numerico-select {
    display: flex;
    align-items: stretch;
    flex-direction: row;
    flex-wrap: wrap;
    margin: 0;
}

.campo-texto-do-input-numerico-select {
    border: 1px solid #999999;
    background-color: #999999;
    /* width: 20%; */
    padding: 12px 2%;
    font-size: 16px;
    box-sizing: content-box;
    font-family: 'Lato', sans-serif;
    margin: 0 16px 0 0;
    flex-grow: 1;
}

.campo-select-do-input-numerico-select {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    background: url("imagens/bt-acionador-select.png") no-repeat #999999;
    background-position: 98% 47%;
    border: 1px solid #999999;
    padding: 12px 2%;
    font-size: 16px;
    flex-grow: 2;
    flex-shrink: 0;
    margin: 0;
    box-sizing: content-box;
    font-family: 'Lato', sans-serif;
}


/* INPUT ENVIO -------------------------------*/

.input-envio {
    margin-top: 48px;
    margin-bottom: 48px;
    display: flex;
    flex-direction: row-reverse;
}

.enviar,
.cancelar {
    padding: 20px 64px;
    margin: 0 32px 0 0;
    font-weight: 900;
    font-size: 20px;
    cursor: pointer;
    font-family: 'Lato', sans-serif;
    border-radius: 32px;
}

.enviar {
    color: #3B3B3B;
    background-color: #94C93D;
    border: 1px solid #94C93D;
    /* background-color: #F5A623; */
    /* border: 1px solid #F5A623; */
    /* background-color: #E74747;*/
    /* border: 1px solid #E74747; */
    margin: 0 0 0 32px;
    /* width: 32%; */
}

.enviar:hover {
    color: #FFFFFF;
}

.cancelar {
    color: #FFFFFF;
    background-color: #628528;
    border: 1px solid #628528;
    margin: 0;
}


/* DATAGRID -------------------------------*/

.datagrid div,
.datagrid table {
    width: 100%;
}

.datagrid table {
    border: none;
    border-collapse: collapse;
    table-layout: auto;
    empty-cells: show;
    margin: 0 0 16px 0;
}

.tipo-de-filtro-do-datagrid,
.dado-para-filtrar-do-datagrid {
    border: 1px solid #4D4D4D;
    background-color: #4D4D4D;
    height: 32px;
    width: 100%;
}

.tipo-de-filtro-do-datagrid {
    margin: 0 0 8px 0;
}

.campo-de-busca-do-datagrid {
    background: #444444 url("imagens/ic-lupa.png") no-repeat right;
    /* background-position: 98% 47%; */
    border: 1px solid #444444;
    width: 97%;
    padding: 12px 2% 12px 1%;
    margin: 0 0 32px 0;
    font-size: 24px;
    color: #000000;
    box-sizing: content-box;
    font-family: 'Lato', sans-serif;
}

.campo-de-busca-do-datagrid:-ms-input-placeholder,
.campo-de-busca-do-datagrid::-ms-input-placeholder {
    font-family: 'Lato', sans-serif;
    color: #666666;
}

.campo-de-busca-do-datagrid::placeholder {
    font-family: 'Lato', sans-serif;
    color: #666666;
    opacity: 1;
}

.dado-para-filtrar-do-datagrid {
    margin: 0 0 16px 0;
}

.nomes-das-colunas-do-datagrid td {
    text-transform: uppercase;
    /* background-color: #94C93D; */
    /* background-color: #ffffff; */
    /* background-color: #242424; */
    /* background-color: #191919; */
    /* background-color: #00C8E0; */
    /* background-color: #212121; */
    background-color: #6E6E6E;
    /* color: #FFFFFF; */
    /* color: #969696; */
    /* color: #00C8E0; */
    /* color: #4D4D4D; */
    /* color: #B3B3B3; */
    color: #242424;
    padding: 8px;
    font-size: 12px;
    font-family: 'Lato', sans-serif;
    font-weight: 900;
    border-right: 1px solid #333333;
}

.nomes-das-colunas-do-datagrid td:last-child,
.ordenar-do-datagrid td:last-child {
    border: 0;
    /* width: 120px; */
    /* width: auto; */
}

.ordenar-do-datagrid td {
    background-color: #404040;
    border-right: 1px solid #333333;
}

.ordenar-do-datagrid td input {
    background: url("imagens/bt-ordenar.png") center no-repeat;
    border: 1px solid #404040;
    height: 32px;
    width: 64px;
}

#area-de-dados {
    background-color: #363636;
}

.dados-do-datagrid td {
    padding: 8px;
    font-size: 16px;
    font-family: 'Lato', sans-serif;
    height: 32px;
    text-transform: lowercase;
    color: #FFFFFF;
    border-bottom: 1px solid #595959;
}

.dados-do-datagrid:hover {
    background-color: #2E2E2E;
}

.bloco-paginador-do-datagrid {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    flex-direction: row;
}

.paginador-do-datagrid {
    height: 32px;
    padding: 8px 0 0 0;
}

.paginador-do-datagrid li {
    display: inline-block;
    height: 32px;
    font-size: 16px;
    font-family: 'Lato', sans-serif;
    color: #969696;
    font-weight: 900;
    margin: 0;
}

.indicador-de-pagina-do-paginador-do-datagrid {
    padding: 0 8px;
    vertical-align: 10px;
}

.numero-por-pagina-do-datagrid {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    background: url("imagens/bt-acionador-select.png") no-repeat #999999;
    background-position: 98% 47%;
    border: 1px solid #999999;
    width: 120px;
    padding: 12px 2%;
    font-size: 16px;
    font-family: 'Lato', sans-serif;
    box-sizing: content-box;
    font-family: 'Lato', sans-serif;
}

.numero-por-pagina-do-datagrid:invalid {
    color: #4D4D4D;
}

.botoes-do-datagrid li {
    display: inline-block;
    margin: 0 4px 0 0;
}

.botoes-do-datagrid li:last-child {
    margin: 0;
}

.botao-excluir-do-datagrid,
.botao-abrir-do-datagrid,
.botao-editar-do-datagrid,
.botao-avaliar-do-datagrid {
    /* border: 1px solid #363636; */
    border: transparent;
    height: 32px;
    width: 32px;
    cursor: pointer;
}

.botao-excluir-do-datagrid {
    background: url("imagens/bt-datagrid-excluir.png") center no-repeat;
}

.botao-abrir-do-datagrid {
    background: url("imagens/bt-datagrid-abrir.png") center no-repeat;
}

.botao-editar-do-datagrid {
    background: url("imagens/bt-datagrid-editar.png") center no-repeat;
}

.botao-avaliar-do-datagrid {
    background: url("imagens/bt-datagrid-avaliar.png") center no-repeat;
}

.botao-seta-primeira-do-datagrid,
.botao-seta-anterior-do-datagrid,
.botao-seta-proxima-do-datagrid,
.botao-seta-ultima-do-datagrid,
.botao-seta-primeira-do-datagrid-desab,
.botao-seta-anterior-do-datagrid-desab,
.botao-seta-proxima-do-datagrid-desab,
.botao-seta-ultima-do-datagrid-desab {
    border: 1px solid #333333;
    height: 32px;
    width: 32px;
}

.botao-seta-primeira-do-datagrid {
    background: url("imagens/bt-seta-primeira.png") center no-repeat;
}

.botao-seta-anterior-do-datagrid {
    background: url("imagens/bt-seta-anterior.png") center no-repeat;
}

.botao-seta-proxima-do-datagrid {
    background: url("imagens/bt-seta-proxima.png") center no-repeat;
}

.botao-seta-ultima-do-datagrid {
    background: url("imagens/bt-seta-ultima.png") center no-repeat;
}

.botao-seta-primeira-do-datagrid-desab {
    background: url("imagens/bt-seta-primeira-desab.png") center no-repeat;
}

.botao-seta-anterior-do-datagrid-desab {
    background: url("imagens/bt-seta-anterior-desab.png") center no-repeat;
}

.botao-seta-proxima-do-datagrid-desab {
    background: url("imagens/bt-seta-proxima-desab.png") center no-repeat;
}

.botao-seta-ultima-do-datagrid-desab {
    background: url("imagens/bt-seta-ultima-desab.png") center no-repeat;
}

.btConfirmarExcluir,
.btCancelarExcluir {
    padding: 8px 32px;
    color: #FFFFFF;
    font-size: 16px;
    font-weight: 900;
}

.confirmar-acao-des {
    display: none;
}

.confirmar-acao-hab {
    background-color: #242424;
    width: 100%;
    margin: 0 0 16px 0;
    color: #FFFFFF;
}

.confirmar-acao-hab ul {
    padding: 16px;
}

.confirmar-acao-hab ul li:first-child {
    font-size: 16px;
    font-family: 'Lato', sans-serif;
    margin: 0 0 32px 0;
}

.confirmar-acao-hab ul li:last-child {
    display: flex;
    align-items: flex-start;
    flex-direction: row;
}

.botao-radiobutton-datagrid-desligado {
    background: url("imagens/bt-radio-escuro.png") no-repeat;
    background-position: center;
    margin: 8px;
    height: 24px;
    width: 24px;
    border: 1px solid #5A5A5A;
    background-color: #5A5A5A;
    cursor: pointer;
    border-radius: 24px;
}

.botao-radiobutton-datagrid-ligado {
    background: url("imagens/bt-radio-claro.png") no-repeat;
    background-position: center;
    margin: 8px;
    height: 24px;
    width: 24px;
    border: 1px solid #5A5A5A;
    background-color: #5A5A5A;
    cursor: pointer;
    border-radius: 24px;
}


/* MODAL -------------------------------*/

.overlay {
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0, 0, 0);
    background-color: rgba(0, 0, 0, 0.6);
}

.modal {
    background-color: #242424;
    width: 360px;
    margin: 15% auto;
    color: #FFFFFF;
}

.modal ul {
    padding: 32px;
}

.modal ul li:first-child {
    font-size: 16px;
    font-family: 'Lato', sans-serif;
    margin: 0 0 32px 0;
}

.modal ul li:last-child {
    display: flex;
    align-items: flex-start;
    flex-direction: row;
}

.btConfirmarExcluir {
    border: 1px solid #94C93D;
    background-color: #94C93D;
    margin: 0 16px 0 0;
}

.btCancelarExcluir {
    border: 1px solid #628528;
    background-color: #628528;
    margin: 0;
}